stages:
 - build
 - test

step1:
 stage: build
 script:
  - apt-get update -y
  - apt-get install -y python
  - python --version
  - mkdir build
  - cd build
  - touch hello.txt
  - cd .. 
  - python hello.py >> build/hello.txt
 artifacts:
  paths:
   - build
 tags:
 - docker

step2:
 stage: test
 script:
  - cat build/hello.txt
 tags:
  - docker
